# Fixed Location Reusable Laptop Ceremony

This device is intended for use in a secure facility such as a [SCIF](TODO) which has the added assurances of protecting the environment from a wide range of side-channel attacks, as well as protection from physical attacks, and more comprehensive tamper proofing controls.

The fixed location should include a work-station which makes it easy to perform the [tamper proofing](tamper-evidence-methods.md#tamper-proofing-station) procedure. This station may consist of a simple frame which holds a LED light, for consistent lightning, as well as a camera stand above it which can be used to take pictures. The camera should have an SD card that easily slides out of it so that the device doesn't leave and re-enter the room, only the SD card does.

    * TODO: this is actually not necessary for the fixed location device, but it's good to have this setup in the same facility maybe for processing/setting up the one time use laptops

The primary tamper proofing methods for the fixed location device are:

* Heads firmware protection (TODO link to document which explains how to set up Purism)

* Glitter to prevent physical access to hardware (TODO link to how to properly use glitter for tamper proofing)

* On-premises audio and visual monitoring (TODO select appropriate equipment)

* Physical vault (TODO find adequate vaults)

## Procedure

### Unsealing

1. Select at least two authorized operators who will be participating in the ceremony

2. Print photographs of tamper proofing of the laptop which will be used for the ceremony

    * Both photos of vacuum sealed bag with filler and glitter on the bottom screws of laptop are required

3. Make an entry into the access log, specifying the:

    * Individuals involved

    * Approximate time of entry

4. Enter the SCIF, ensuring to lock the door behind you from the inside. The room should not be accessible from the outside during a ceremony.

    * Ensure that no individual is bringing in any electronic devices. A hand-held or gate metal detector can be used for this.

5. Access the laptop safe, and move the laptop, its hardware token, and polaroid to the Tamper Proofing Workstation

    * Compare the polaroid and digital photographs for any differences

    * Then compare the photographs to the actual object

    * Check the glitter on the bottom screws of the laptop ensuring there are no scratch marks, and compare the screws to photos

    * If there are any issues detected, initiate incident response

6. Initiate the [Secure Boot Sequence](secure-boot-sequence.md)

{{ #include secure-boot-sequence.md }}

7. Use one of the [Playbooks](todo) to carry out a task

#### Sealing

{{ #include tamper-evidence-methods.md:vsbwf-procedure-sealing}}

2. Remove the SD card from the camera and use chain of custody principles to ensure the integrity of the data

3. Place the sealed laptop and signed polaroids, as well as the hardware token back in the safe

4. Exit the SCIF and lock it

5. Update the log with the exit time

6. Upload the photos to a git repository, ensuring the commit is signed using PGP
